<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Cuerpos militares</title>
    </h:head>
    <h:body>
        <ui:include src="menu.xhtml"/>
        <p:fieldset legend="Cuerpos militares">
            <h:form id="formCuerpo">
                <p:growl id="mensaje"/>
                <h:panelGrid columns="2">
                    <p:outputLabel value="Codigo del cuerpo"/>
                    <p:inputText value="#{cuerpoController.cuerpo.codigo}" required="true"/>
                    <p:outputLabel value="Nombre del cuerpo"/>
                    <p:inputText value="#{cuerpoController.cuerpo.denominacion}"/>
                    <p:commandButton rendered="#{cuerpoController.cuerpo.codigo==null}" value="Guardar" action="#{cuerpoController.insertar()}" update=":listaCuerpos,:formCuerpo,:formCuerpo:mensaje"/>
                    <p:commandButton rendered="#{cuerpoController.cuerpo.codigo!=null}" value="Actualizar" action="#{cuerpoController.actualizar()}" update=":listaCuerpos,:formCuerpo,:formCuerpo:mensaje"/>
                </h:panelGrid>
            </h:form>
        </p:fieldset>
        <br/><br/>
        <p:fieldset legend="Lista de Cuerpos militares">
            <h:form id="listaCuerpos">
                <p:dataTable value="#{cuerpoController.lista}" var="cuerpos" paginator="true" rows="6">
                    <p:column headerText="Codigo">
                        <p:outputLabel value="#{cuerpos.codigo}"/>
                    </p:column>
                    <p:column headerText="Nombre del cuerpo">
                        <p:outputLabel value="#{cuerpos.denominacion}"/>
                    </p:column>
                    <p:column headerText="Acciones">
                        <p:commandButton value="Eliminar" action="#{cuerpoController.eliminar(cuerpos)}" update=":listaCuerpos"/>
                        <p:commandButton value="Editar" action="#{cuerpoController.consultarById(cuerpos)}" update=":formCuerpo"/>
                    </p:column>
                </p:dataTable>
            </h:form>
        </p:fieldset>
    </h:body>
</html>

